from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XUIControllerRegistration(XInterface, Protocol):
    def hasController(self, aCommandURL: str, aModelName: str) -> bool: ...
    def registerController(self, aCommandURL: str, aModelName: str, aControllerImplementationName: str) -> None: ...
    def deregisterController(self, aCommandURL: str, aModelName: str) -> None: ...
